CritterEditor (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.critter.CritterEditor class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.critter
Class CritterEditor

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.BaseComponent
                      org.hyperic.ui.tapestry.components.critter.CritterEditor

All Implemented Interfaces:
  java.util.EventListener, org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.event.PageBeginRenderListener, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

    public abstract class CritterEditor

extends BaseComponent
implements org.apache.tapestry.event.PageBeginRenderListener

Field Summary

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`CritterEditor()`

Method Summary
`void` | `addCritterClicked(org.apache.tapestry.IRequestCycle cycle, int idx)`
`void` | `critterSubmit(org.apache.tapestry.IRequestCycle cycle)`
`void` | `editCritterClicked(org.apache.tapestry.IRequestCycle cycle, int idx)`
`abstract EditableCritter` | `getCritter()`
`abstract java.util.List` | `getCritters()`
`org.apache.tapestry.form.BeanPropertySelectionModel` | `getCritterTypesList()`
`abstract int` | `getEditingCritterIndex()`
`abstract java.util.List` | `getEditingProps()`
`abstract CritterType` | `getEditingType()`
`abstract EditableCritterProp` | `getProp()`
`boolean` | `getShowEditSigns()`
`boolean` | `getShowPlusSigns()`
`boolean` | `isEditingCritter()` Returns true if we are currently editing the critter that is returned from getCritter() (i.e.
`void` | `pageBeginRender(org.apache.tapestry.event.PageEvent event)`
`void` | `propsCancel(org.apache.tapestry.IRequestCycle cycle)`
`void` | `propsRefresh(org.apache.tapestry.IRequestCycle cycle)`
`void` | `propsSubmit(org.apache.tapestry.IRequestCycle cycle)`
`void` | `renderComponent(org.apache.tapestry.IMarkupWriter writer, org.apache.tapestry.IRequestCycle cycle)`
`abstract void` | `setCritter(EditableCritter critter)`
`abstract void` | `setCritters(java.util.List critters)`
`abstract void` | `setEditingCritterIndex(int idx)`
`abstract void` | `setEditingProps(java.util.List props)`
`abstract void` | `setEditingType(CritterType t)`
`abstract void` | `setProp(EditableCritterProp prop)`

Methods inherited from class org.hyperic.ui.tapestry.components.BaseComponent
`getIsLoggedIn, getPageName, getRequest, getResponse, getServletContext, getUserName`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Constructor Detail

### CritterEditor

    public CritterEditor()

Method Detail

### setEditingCritterIndex

    @Persist
    public abstract void setEditingCritterIndex(int idx)

### getEditingCritterIndex

    public abstract int getEditingCritterIndex()

### setEditingProps

    @Persist
    public abstract void setEditingProps(java.util.List props)

### getEditingProps

    public abstract java.util.List getEditingProps()

### setEditingType

    @Persist
    public abstract void setEditingType(CritterType t)

### getEditingType

    public abstract CritterType getEditingType()

### setCritters

    @Persist
    public abstract void setCritters(java.util.List critters)

### getCritters

    public abstract java.util.List getCritters()

### propsRefresh

    public void propsRefresh(org.apache.tapestry.IRequestCycle cycle)

### propsCancel

    public void propsCancel(org.apache.tapestry.IRequestCycle cycle)

### propsSubmit

    public void propsSubmit(org.apache.tapestry.IRequestCycle cycle)

### critterSubmit

    public void critterSubmit(org.apache.tapestry.IRequestCycle cycle)

### getCritterTypesList

    public org.apache.tapestry.form.BeanPropertySelectionModel getCritterTypesList()

### isEditingCritter

    public boolean isEditingCritter()

  Returns true if we are currently editing the critter that is returned from getCritter() (i.e. the one we are iterating over in the template)

### getShowEditSigns

    public boolean getShowEditSigns()

### getShowPlusSigns

    public boolean getShowPlusSigns()

### addCritterClicked

    public void addCritterClicked(org.apache.tapestry.IRequestCycle cycle,
                                  int idx)

### editCritterClicked

    public void editCritterClicked(org.apache.tapestry.IRequestCycle cycle,
                                   int idx)

### setProp

    public abstract void setProp(EditableCritterProp prop)

### getProp

    public abstract EditableCritterProp getProp()

### setCritter

    public abstract void setCritter(EditableCritter critter)

### getCritter

    public abstract EditableCritter getCritter()

### pageBeginRender

    public void pageBeginRender(org.apache.tapestry.event.PageEvent event)

  Specified by:
    `pageBeginRender` in interface `org.apache.tapestry.event.PageBeginRenderListener`

### renderComponent

    public void renderComponent(org.apache.tapestry.IMarkupWriter writer,
                                org.apache.tapestry.IRequestCycle cycle)

  Overrides:
    `renderComponent` in class `org.apache.tapestry.BaseComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.